<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class BotAvatarMetadata extends \Google\Protobuf\Internal\Message
{
    


    protected $sentiment = null;
    


    protected $behaviorGraph = null;
    


    protected $action = null;
    


    protected $intensity = null;
    


    protected $wordCount = null;

    












    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getSentiment()
    {
        return isset($this->sentiment) ? $this->sentiment : 0;
    }

    public function hasSentiment()
    {
        return isset($this->sentiment);
    }

    public function clearSentiment()
    {
        unset($this->sentiment);
    }

    




    public function setSentiment($var)
    {
        GPBUtil::checkUint32($var);
        $this->sentiment = $var;

        return $this;
    }

    



    public function getBehaviorGraph()
    {
        return isset($this->behaviorGraph) ? $this->behaviorGraph : '';
    }

    public function hasBehaviorGraph()
    {
        return isset($this->behaviorGraph);
    }

    public function clearBehaviorGraph()
    {
        unset($this->behaviorGraph);
    }

    




    public function setBehaviorGraph($var)
    {
        GPBUtil::checkString($var, True);
        $this->behaviorGraph = $var;

        return $this;
    }

    



    public function getAction()
    {
        return isset($this->action) ? $this->action : 0;
    }

    public function hasAction()
    {
        return isset($this->action);
    }

    public function clearAction()
    {
        unset($this->action);
    }

    




    public function setAction($var)
    {
        GPBUtil::checkUint32($var);
        $this->action = $var;

        return $this;
    }

    



    public function getIntensity()
    {
        return isset($this->intensity) ? $this->intensity : 0;
    }

    public function hasIntensity()
    {
        return isset($this->intensity);
    }

    public function clearIntensity()
    {
        unset($this->intensity);
    }

    




    public function setIntensity($var)
    {
        GPBUtil::checkUint32($var);
        $this->intensity = $var;

        return $this;
    }

    



    public function getWordCount()
    {
        return isset($this->wordCount) ? $this->wordCount : 0;
    }

    public function hasWordCount()
    {
        return isset($this->wordCount);
    }

    public function clearWordCount()
    {
        unset($this->wordCount);
    }

    




    public function setWordCount($var)
    {
        GPBUtil::checkUint32($var);
        $this->wordCount = $var;

        return $this;
    }

}

